package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "COLUMN_PRIMARY_KEY_INFO"
)
public class ColumnPrimaryKeyInfo extends TBaseEntity {
   private String project_id;
   private String datasystem_id;
   private String tschema;
   private String tname;
   private String primary_key_columns;

   public String getProject_id() {
      return this.project_id;
   }

   public void setProject_id(String project_id) {
      this.project_id = project_id;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTname() {
      return this.tname;
   }

   public void setTname(String tname) {
      this.tname = tname;
   }

   public String getPrimary_key_columns() {
      return this.primary_key_columns;
   }

   public void setPrimary_key_columns(String primary_key_columns) {
      this.primary_key_columns = primary_key_columns;
   }
}
